Bug 1497268 - Systems without dmidecode fail introspection
Summary: Systems without dmidecode fail introspection
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic-python-agent
Version: 12.0 (Pike)
Hardware: ppc64le
OS: Unspecified
medium
medium
Target Milestone: ---
: 12.0 (Pike)
Assignee: RHOS Maint
QA Contact: mlammon
URL:
Whiteboard:
Depends On: 1489656
Blocks: RHOS-12-ppc64le
TreeView+ depends on / blocked
 
Reported: 2017-09-29 15:33 UTC by Josh Boyer
Modified: 2017-12-07 01:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1489656
Environment:
Last Closed: 2017-12-07 01:44:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1715790 None None None 2017-09-29 15:33:38 UTC

Description Josh Boyer 2017-09-29 15:33:38 UTC
+++ This bug was initially created as a clone of Bug #1489656 +++

Description of problem:  DMI isn't a supported way to obtain system information from a POWER8.  Currently dmidecode is used to information about the system  the only one of these that causes a problem is Physical Memory.

IPA reports {phyical_mb: None, total: <some number>} which causes the introspection data to be rejected.


Version-Release number of selected component (if applicable):
openstack-ironic-python-agent (all versions)

--- Additional comment from Tony Breeds on 2017-09-19 11:01:56 EDT ---

I'm not certain how to link this correctly to flag this is needed in RHOS 12 if https://bugzilla.redhat.com/show_bug.cgi?id=1491837 is approved

--- Additional comment from Bob Fournier on 2017-09-19 11:05:40 EDT ---

Tony - I'd recommend cloning this bug and setting the flag to rhos-12.0 if this should be in OSP-12.

Comment 2 Tony Breeds 2017-12-07 01:44:49 UTC
We wont be doing this work in RHSO-12.

I'll open a similar bug against RHOS-13 for tracking that work in master/queens


Note You need to log in before you can comment on or make changes to this bug.